Open a ranked run of a game (ADR 0030): its id and the seed to play it from; it closes the last one.
POST
/api/runs
const url = 'https://example.com/api/runs';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"gameId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/runs \ --header 'Content-Type: application/json' \ --data '{ "gameId": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
gameId
required
string
Example generated
{ "gameId": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
run
required
string
seed
required
integer format: int32
Example generated
{ "run": "example", "seed": 1}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}